<div class="row">
  <div class="col-sm-4">
    <div class="form-group">
      <label for="artistName">Artist Name</label>
      <select class="form-control" [(ngModel)]="curartist" >
<option  *ngFor="let artist of artists | async" id="artistName" [ngValue]="artist">{{artist.name}}</option>
      </select>
    </div>
  </div>



      <div class="col-sm-4" style="min-height: 100px">
<img  *ngIf="curartist != null" src="{{curartist.image}}" style="width: 100px">

      </div>


</div>
<div class="row">
  <div class="col-sm-4">
    <div class="form-group">
      <label for="albumName">Album Name</label>
      <input type="text" class="form-control" id="albumName" [(ngModel)]="albumName" placeholder="Album name">
    </div>
  </div>
  <div class="col-sm-4">
    <div class="form-group">
      <label for="release">Album Release Year</label>
      <input type="number" class="form-control" id="release" [(ngModel)]="release" placeholder="release year, Ex: 2017">
       </div>
  </div>
</div>



<div class="row">
  <div class="col-sm-12">
    <div class="form-group">
      <label for="track">Image File (600 x 600)pixels</label>
      <input type="file" class="form-control" id="image" >
    </div>
  </div>

  

</div>
<div class="row">


  

      <div class="col-sm-4">

        <button type="submit" (click)="upload()" class="btn btn-primary">Submit</button>


      </div>

</div>


